window.Gleam.initSearch([{"doc":"catppuccin","title":"catppuccin","content":"# catppuccin\n\n[![Package Version](https://img.shields.io/hexpm/v/catppuccin)](https://hex.pm/packages/catppuccin)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/catppuccin/)\n\n⭐️ Soothing pastel library for Gleam\n\n```sh\ngleam add catppuccin\n```\n```gleam\nimport catppuccin\nimport catppuccin/mocha\nimport gleam/io\n\npub fn main() {\n  // access the value directly\n  mocha.blue.rgb.r\n  |&gt; io.debug // 137\n\n  // or access the value using the built-in methods\n  mocha.lavender\n  |&gt; catppuccin.to_hex\n  |&gt; io.debug // #b4befe\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/catppuccin&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"catppuccin","title":"CatppuccinColor","content":"pub type CatppuccinColor {\n  CatppuccinColor(\n    name: String,\n    order: Int,\n    accent: Bool,\n    color: Colour,\n  )\n}\n\nCatppuccinColor(\n  name: String,\n  order: Int,\n  accent: Bool,\n  color: Colour,\n)\n\n\nSynonyms:\ncatppuccin.CatppuccinColor\ncatppuccin CatppuccinColor","url":"catppuccin.html#CatppuccinColor"},{"doc":"catppuccin","title":"to_community_colour","content":"pub fn to_community_colour(\n  h h: Float,\n  s s: Float,\n  l l: Float,\n) -&gt; Colour\n Converts hsl values to a `Colour`.\n returns white as a fallback color, if the conversion fails.\n this is used by the lib (probably should&#39;ve been a private function)\n\nSynonyms:\ncatppuccin.to_community_colour\ncatppuccin to_community_colour","url":"catppuccin.html#to_community_colour"},{"doc":"catppuccin","title":"catppuccin","content":"","url":"catppuccin.html"},{"doc":"catppuccin/frappe","title":"dark","content":"pub const dark: Bool\n\nSynonyms:\ncatppuccin/frappe.dark\ncatppuccin/frappe dark","url":"catppuccin/frappe.html#dark"},{"doc":"catppuccin/frappe","title":"name","content":"pub const name: String\n\nSynonyms:\ncatppuccin/frappe.name\ncatppuccin/frappe name","url":"catppuccin/frappe.html#name"},{"doc":"catppuccin/frappe","title":"order","content":"pub const order: Int\n\nSynonyms:\ncatppuccin/frappe.order\ncatppuccin/frappe order","url":"catppuccin/frappe.html#order"},{"doc":"catppuccin/frappe","title":"base","content":"pub fn base() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.base\ncatppuccin/frappe base","url":"catppuccin/frappe.html#base"},{"doc":"catppuccin/frappe","title":"blue","content":"pub fn blue() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.blue\ncatppuccin/frappe blue","url":"catppuccin/frappe.html#blue"},{"doc":"catppuccin/frappe","title":"crust","content":"pub fn crust() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.crust\ncatppuccin/frappe crust","url":"catppuccin/frappe.html#crust"},{"doc":"catppuccin/frappe","title":"flamingo","content":"pub fn flamingo() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.flamingo\ncatppuccin/frappe flamingo","url":"catppuccin/frappe.html#flamingo"},{"doc":"catppuccin/frappe","title":"green","content":"pub fn green() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.green\ncatppuccin/frappe green","url":"catppuccin/frappe.html#green"},{"doc":"catppuccin/frappe","title":"lavender","content":"pub fn lavender() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.lavender\ncatppuccin/frappe lavender","url":"catppuccin/frappe.html#lavender"},{"doc":"catppuccin/frappe","title":"mantle","content":"pub fn mantle() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.mantle\ncatppuccin/frappe mantle","url":"catppuccin/frappe.html#mantle"},{"doc":"catppuccin/frappe","title":"maroon","content":"pub fn maroon() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.maroon\ncatppuccin/frappe maroon","url":"catppuccin/frappe.html#maroon"},{"doc":"catppuccin/frappe","title":"mauve","content":"pub fn mauve() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.mauve\ncatppuccin/frappe mauve","url":"catppuccin/frappe.html#mauve"},{"doc":"catppuccin/frappe","title":"overlay0","content":"pub fn overlay0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.overlay0\ncatppuccin/frappe overlay0","url":"catppuccin/frappe.html#overlay0"},{"doc":"catppuccin/frappe","title":"overlay1","content":"pub fn overlay1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.overlay1\ncatppuccin/frappe overlay1","url":"catppuccin/frappe.html#overlay1"},{"doc":"catppuccin/frappe","title":"overlay2","content":"pub fn overlay2() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.overlay2\ncatppuccin/frappe overlay2","url":"catppuccin/frappe.html#overlay2"},{"doc":"catppuccin/frappe","title":"peach","content":"pub fn peach() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.peach\ncatppuccin/frappe peach","url":"catppuccin/frappe.html#peach"},{"doc":"catppuccin/frappe","title":"pink","content":"pub fn pink() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.pink\ncatppuccin/frappe pink","url":"catppuccin/frappe.html#pink"},{"doc":"catppuccin/frappe","title":"red","content":"pub fn red() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.red\ncatppuccin/frappe red","url":"catppuccin/frappe.html#red"},{"doc":"catppuccin/frappe","title":"rosewater","content":"pub fn rosewater() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.rosewater\ncatppuccin/frappe rosewater","url":"catppuccin/frappe.html#rosewater"},{"doc":"catppuccin/frappe","title":"sapphire","content":"pub fn sapphire() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.sapphire\ncatppuccin/frappe sapphire","url":"catppuccin/frappe.html#sapphire"},{"doc":"catppuccin/frappe","title":"sky","content":"pub fn sky() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.sky\ncatppuccin/frappe sky","url":"catppuccin/frappe.html#sky"},{"doc":"catppuccin/frappe","title":"subtext0","content":"pub fn subtext0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.subtext0\ncatppuccin/frappe subtext0","url":"catppuccin/frappe.html#subtext0"},{"doc":"catppuccin/frappe","title":"subtext1","content":"pub fn subtext1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.subtext1\ncatppuccin/frappe subtext1","url":"catppuccin/frappe.html#subtext1"},{"doc":"catppuccin/frappe","title":"surface0","content":"pub fn surface0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.surface0\ncatppuccin/frappe surface0","url":"catppuccin/frappe.html#surface0"},{"doc":"catppuccin/frappe","title":"surface1","content":"pub fn surface1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.surface1\ncatppuccin/frappe surface1","url":"catppuccin/frappe.html#surface1"},{"doc":"catppuccin/frappe","title":"surface2","content":"pub fn surface2() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.surface2\ncatppuccin/frappe surface2","url":"catppuccin/frappe.html#surface2"},{"doc":"catppuccin/frappe","title":"teal","content":"pub fn teal() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.teal\ncatppuccin/frappe teal","url":"catppuccin/frappe.html#teal"},{"doc":"catppuccin/frappe","title":"text","content":"pub fn text() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.text\ncatppuccin/frappe text","url":"catppuccin/frappe.html#text"},{"doc":"catppuccin/frappe","title":"yellow","content":"pub fn yellow() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/frappe.yellow\ncatppuccin/frappe yellow","url":"catppuccin/frappe.html#yellow"},{"doc":"catppuccin/frappe","title":"catppuccin/frappe","content":"","url":"catppuccin/frappe.html"},{"doc":"catppuccin/latte","title":"dark","content":"pub const dark: Bool\n\nSynonyms:\ncatppuccin/latte.dark\ncatppuccin/latte dark","url":"catppuccin/latte.html#dark"},{"doc":"catppuccin/latte","title":"name","content":"pub const name: String\n\nSynonyms:\ncatppuccin/latte.name\ncatppuccin/latte name","url":"catppuccin/latte.html#name"},{"doc":"catppuccin/latte","title":"order","content":"pub const order: Int\n\nSynonyms:\ncatppuccin/latte.order\ncatppuccin/latte order","url":"catppuccin/latte.html#order"},{"doc":"catppuccin/latte","title":"base","content":"pub fn base() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.base\ncatppuccin/latte base","url":"catppuccin/latte.html#base"},{"doc":"catppuccin/latte","title":"blue","content":"pub fn blue() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.blue\ncatppuccin/latte blue","url":"catppuccin/latte.html#blue"},{"doc":"catppuccin/latte","title":"crust","content":"pub fn crust() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.crust\ncatppuccin/latte crust","url":"catppuccin/latte.html#crust"},{"doc":"catppuccin/latte","title":"flamingo","content":"pub fn flamingo() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.flamingo\ncatppuccin/latte flamingo","url":"catppuccin/latte.html#flamingo"},{"doc":"catppuccin/latte","title":"green","content":"pub fn green() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.green\ncatppuccin/latte green","url":"catppuccin/latte.html#green"},{"doc":"catppuccin/latte","title":"lavender","content":"pub fn lavender() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.lavender\ncatppuccin/latte lavender","url":"catppuccin/latte.html#lavender"},{"doc":"catppuccin/latte","title":"mantle","content":"pub fn mantle() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.mantle\ncatppuccin/latte mantle","url":"catppuccin/latte.html#mantle"},{"doc":"catppuccin/latte","title":"maroon","content":"pub fn maroon() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.maroon\ncatppuccin/latte maroon","url":"catppuccin/latte.html#maroon"},{"doc":"catppuccin/latte","title":"mauve","content":"pub fn mauve() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.mauve\ncatppuccin/latte mauve","url":"catppuccin/latte.html#mauve"},{"doc":"catppuccin/latte","title":"overlay0","content":"pub fn overlay0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.overlay0\ncatppuccin/latte overlay0","url":"catppuccin/latte.html#overlay0"},{"doc":"catppuccin/latte","title":"overlay1","content":"pub fn overlay1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.overlay1\ncatppuccin/latte overlay1","url":"catppuccin/latte.html#overlay1"},{"doc":"catppuccin/latte","title":"overlay2","content":"pub fn overlay2() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.overlay2\ncatppuccin/latte overlay2","url":"catppuccin/latte.html#overlay2"},{"doc":"catppuccin/latte","title":"peach","content":"pub fn peach() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.peach\ncatppuccin/latte peach","url":"catppuccin/latte.html#peach"},{"doc":"catppuccin/latte","title":"pink","content":"pub fn pink() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.pink\ncatppuccin/latte pink","url":"catppuccin/latte.html#pink"},{"doc":"catppuccin/latte","title":"red","content":"pub fn red() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.red\ncatppuccin/latte red","url":"catppuccin/latte.html#red"},{"doc":"catppuccin/latte","title":"rosewater","content":"pub fn rosewater() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.rosewater\ncatppuccin/latte rosewater","url":"catppuccin/latte.html#rosewater"},{"doc":"catppuccin/latte","title":"sapphire","content":"pub fn sapphire() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.sapphire\ncatppuccin/latte sapphire","url":"catppuccin/latte.html#sapphire"},{"doc":"catppuccin/latte","title":"sky","content":"pub fn sky() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.sky\ncatppuccin/latte sky","url":"catppuccin/latte.html#sky"},{"doc":"catppuccin/latte","title":"subtext0","content":"pub fn subtext0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.subtext0\ncatppuccin/latte subtext0","url":"catppuccin/latte.html#subtext0"},{"doc":"catppuccin/latte","title":"subtext1","content":"pub fn subtext1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.subtext1\ncatppuccin/latte subtext1","url":"catppuccin/latte.html#subtext1"},{"doc":"catppuccin/latte","title":"surface0","content":"pub fn surface0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.surface0\ncatppuccin/latte surface0","url":"catppuccin/latte.html#surface0"},{"doc":"catppuccin/latte","title":"surface1","content":"pub fn surface1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.surface1\ncatppuccin/latte surface1","url":"catppuccin/latte.html#surface1"},{"doc":"catppuccin/latte","title":"surface2","content":"pub fn surface2() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.surface2\ncatppuccin/latte surface2","url":"catppuccin/latte.html#surface2"},{"doc":"catppuccin/latte","title":"teal","content":"pub fn teal() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.teal\ncatppuccin/latte teal","url":"catppuccin/latte.html#teal"},{"doc":"catppuccin/latte","title":"text","content":"pub fn text() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.text\ncatppuccin/latte text","url":"catppuccin/latte.html#text"},{"doc":"catppuccin/latte","title":"yellow","content":"pub fn yellow() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/latte.yellow\ncatppuccin/latte yellow","url":"catppuccin/latte.html#yellow"},{"doc":"catppuccin/latte","title":"catppuccin/latte","content":"","url":"catppuccin/latte.html"},{"doc":"catppuccin/macchiato","title":"dark","content":"pub const dark: Bool\n\nSynonyms:\ncatppuccin/macchiato.dark\ncatppuccin/macchiato dark","url":"catppuccin/macchiato.html#dark"},{"doc":"catppuccin/macchiato","title":"name","content":"pub const name: String\n\nSynonyms:\ncatppuccin/macchiato.name\ncatppuccin/macchiato name","url":"catppuccin/macchiato.html#name"},{"doc":"catppuccin/macchiato","title":"order","content":"pub const order: Int\n\nSynonyms:\ncatppuccin/macchiato.order\ncatppuccin/macchiato order","url":"catppuccin/macchiato.html#order"},{"doc":"catppuccin/macchiato","title":"base","content":"pub fn base() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.base\ncatppuccin/macchiato base","url":"catppuccin/macchiato.html#base"},{"doc":"catppuccin/macchiato","title":"blue","content":"pub fn blue() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.blue\ncatppuccin/macchiato blue","url":"catppuccin/macchiato.html#blue"},{"doc":"catppuccin/macchiato","title":"crust","content":"pub fn crust() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.crust\ncatppuccin/macchiato crust","url":"catppuccin/macchiato.html#crust"},{"doc":"catppuccin/macchiato","title":"flamingo","content":"pub fn flamingo() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.flamingo\ncatppuccin/macchiato flamingo","url":"catppuccin/macchiato.html#flamingo"},{"doc":"catppuccin/macchiato","title":"green","content":"pub fn green() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.green\ncatppuccin/macchiato green","url":"catppuccin/macchiato.html#green"},{"doc":"catppuccin/macchiato","title":"lavender","content":"pub fn lavender() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.lavender\ncatppuccin/macchiato lavender","url":"catppuccin/macchiato.html#lavender"},{"doc":"catppuccin/macchiato","title":"mantle","content":"pub fn mantle() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.mantle\ncatppuccin/macchiato mantle","url":"catppuccin/macchiato.html#mantle"},{"doc":"catppuccin/macchiato","title":"maroon","content":"pub fn maroon() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.maroon\ncatppuccin/macchiato maroon","url":"catppuccin/macchiato.html#maroon"},{"doc":"catppuccin/macchiato","title":"mauve","content":"pub fn mauve() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.mauve\ncatppuccin/macchiato mauve","url":"catppuccin/macchiato.html#mauve"},{"doc":"catppuccin/macchiato","title":"overlay0","content":"pub fn overlay0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.overlay0\ncatppuccin/macchiato overlay0","url":"catppuccin/macchiato.html#overlay0"},{"doc":"catppuccin/macchiato","title":"overlay1","content":"pub fn overlay1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.overlay1\ncatppuccin/macchiato overlay1","url":"catppuccin/macchiato.html#overlay1"},{"doc":"catppuccin/macchiato","title":"overlay2","content":"pub fn overlay2() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.overlay2\ncatppuccin/macchiato overlay2","url":"catppuccin/macchiato.html#overlay2"},{"doc":"catppuccin/macchiato","title":"peach","content":"pub fn peach() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.peach\ncatppuccin/macchiato peach","url":"catppuccin/macchiato.html#peach"},{"doc":"catppuccin/macchiato","title":"pink","content":"pub fn pink() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.pink\ncatppuccin/macchiato pink","url":"catppuccin/macchiato.html#pink"},{"doc":"catppuccin/macchiato","title":"red","content":"pub fn red() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.red\ncatppuccin/macchiato red","url":"catppuccin/macchiato.html#red"},{"doc":"catppuccin/macchiato","title":"rosewater","content":"pub fn rosewater() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.rosewater\ncatppuccin/macchiato rosewater","url":"catppuccin/macchiato.html#rosewater"},{"doc":"catppuccin/macchiato","title":"sapphire","content":"pub fn sapphire() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.sapphire\ncatppuccin/macchiato sapphire","url":"catppuccin/macchiato.html#sapphire"},{"doc":"catppuccin/macchiato","title":"sky","content":"pub fn sky() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.sky\ncatppuccin/macchiato sky","url":"catppuccin/macchiato.html#sky"},{"doc":"catppuccin/macchiato","title":"subtext0","content":"pub fn subtext0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.subtext0\ncatppuccin/macchiato subtext0","url":"catppuccin/macchiato.html#subtext0"},{"doc":"catppuccin/macchiato","title":"subtext1","content":"pub fn subtext1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.subtext1\ncatppuccin/macchiato subtext1","url":"catppuccin/macchiato.html#subtext1"},{"doc":"catppuccin/macchiato","title":"surface0","content":"pub fn surface0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.surface0\ncatppuccin/macchiato surface0","url":"catppuccin/macchiato.html#surface0"},{"doc":"catppuccin/macchiato","title":"surface1","content":"pub fn surface1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.surface1\ncatppuccin/macchiato surface1","url":"catppuccin/macchiato.html#surface1"},{"doc":"catppuccin/macchiato","title":"surface2","content":"pub fn surface2() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.surface2\ncatppuccin/macchiato surface2","url":"catppuccin/macchiato.html#surface2"},{"doc":"catppuccin/macchiato","title":"teal","content":"pub fn teal() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.teal\ncatppuccin/macchiato teal","url":"catppuccin/macchiato.html#teal"},{"doc":"catppuccin/macchiato","title":"text","content":"pub fn text() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.text\ncatppuccin/macchiato text","url":"catppuccin/macchiato.html#text"},{"doc":"catppuccin/macchiato","title":"yellow","content":"pub fn yellow() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/macchiato.yellow\ncatppuccin/macchiato yellow","url":"catppuccin/macchiato.html#yellow"},{"doc":"catppuccin/macchiato","title":"catppuccin/macchiato","content":"","url":"catppuccin/macchiato.html"},{"doc":"catppuccin/mocha","title":"dark","content":"pub const dark: Bool\n\nSynonyms:\ncatppuccin/mocha.dark\ncatppuccin/mocha dark","url":"catppuccin/mocha.html#dark"},{"doc":"catppuccin/mocha","title":"name","content":"pub const name: String\n\nSynonyms:\ncatppuccin/mocha.name\ncatppuccin/mocha name","url":"catppuccin/mocha.html#name"},{"doc":"catppuccin/mocha","title":"order","content":"pub const order: Int\n\nSynonyms:\ncatppuccin/mocha.order\ncatppuccin/mocha order","url":"catppuccin/mocha.html#order"},{"doc":"catppuccin/mocha","title":"base","content":"pub fn base() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.base\ncatppuccin/mocha base","url":"catppuccin/mocha.html#base"},{"doc":"catppuccin/mocha","title":"blue","content":"pub fn blue() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.blue\ncatppuccin/mocha blue","url":"catppuccin/mocha.html#blue"},{"doc":"catppuccin/mocha","title":"crust","content":"pub fn crust() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.crust\ncatppuccin/mocha crust","url":"catppuccin/mocha.html#crust"},{"doc":"catppuccin/mocha","title":"flamingo","content":"pub fn flamingo() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.flamingo\ncatppuccin/mocha flamingo","url":"catppuccin/mocha.html#flamingo"},{"doc":"catppuccin/mocha","title":"green","content":"pub fn green() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.green\ncatppuccin/mocha green","url":"catppuccin/mocha.html#green"},{"doc":"catppuccin/mocha","title":"lavender","content":"pub fn lavender() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.lavender\ncatppuccin/mocha lavender","url":"catppuccin/mocha.html#lavender"},{"doc":"catppuccin/mocha","title":"mantle","content":"pub fn mantle() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.mantle\ncatppuccin/mocha mantle","url":"catppuccin/mocha.html#mantle"},{"doc":"catppuccin/mocha","title":"maroon","content":"pub fn maroon() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.maroon\ncatppuccin/mocha maroon","url":"catppuccin/mocha.html#maroon"},{"doc":"catppuccin/mocha","title":"mauve","content":"pub fn mauve() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.mauve\ncatppuccin/mocha mauve","url":"catppuccin/mocha.html#mauve"},{"doc":"catppuccin/mocha","title":"overlay0","content":"pub fn overlay0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.overlay0\ncatppuccin/mocha overlay0","url":"catppuccin/mocha.html#overlay0"},{"doc":"catppuccin/mocha","title":"overlay1","content":"pub fn overlay1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.overlay1\ncatppuccin/mocha overlay1","url":"catppuccin/mocha.html#overlay1"},{"doc":"catppuccin/mocha","title":"overlay2","content":"pub fn overlay2() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.overlay2\ncatppuccin/mocha overlay2","url":"catppuccin/mocha.html#overlay2"},{"doc":"catppuccin/mocha","title":"peach","content":"pub fn peach() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.peach\ncatppuccin/mocha peach","url":"catppuccin/mocha.html#peach"},{"doc":"catppuccin/mocha","title":"pink","content":"pub fn pink() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.pink\ncatppuccin/mocha pink","url":"catppuccin/mocha.html#pink"},{"doc":"catppuccin/mocha","title":"red","content":"pub fn red() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.red\ncatppuccin/mocha red","url":"catppuccin/mocha.html#red"},{"doc":"catppuccin/mocha","title":"rosewater","content":"pub fn rosewater() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.rosewater\ncatppuccin/mocha rosewater","url":"catppuccin/mocha.html#rosewater"},{"doc":"catppuccin/mocha","title":"sapphire","content":"pub fn sapphire() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.sapphire\ncatppuccin/mocha sapphire","url":"catppuccin/mocha.html#sapphire"},{"doc":"catppuccin/mocha","title":"sky","content":"pub fn sky() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.sky\ncatppuccin/mocha sky","url":"catppuccin/mocha.html#sky"},{"doc":"catppuccin/mocha","title":"subtext0","content":"pub fn subtext0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.subtext0\ncatppuccin/mocha subtext0","url":"catppuccin/mocha.html#subtext0"},{"doc":"catppuccin/mocha","title":"subtext1","content":"pub fn subtext1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.subtext1\ncatppuccin/mocha subtext1","url":"catppuccin/mocha.html#subtext1"},{"doc":"catppuccin/mocha","title":"surface0","content":"pub fn surface0() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.surface0\ncatppuccin/mocha surface0","url":"catppuccin/mocha.html#surface0"},{"doc":"catppuccin/mocha","title":"surface1","content":"pub fn surface1() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.surface1\ncatppuccin/mocha surface1","url":"catppuccin/mocha.html#surface1"},{"doc":"catppuccin/mocha","title":"surface2","content":"pub fn surface2() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.surface2\ncatppuccin/mocha surface2","url":"catppuccin/mocha.html#surface2"},{"doc":"catppuccin/mocha","title":"teal","content":"pub fn teal() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.teal\ncatppuccin/mocha teal","url":"catppuccin/mocha.html#teal"},{"doc":"catppuccin/mocha","title":"text","content":"pub fn text() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.text\ncatppuccin/mocha text","url":"catppuccin/mocha.html#text"},{"doc":"catppuccin/mocha","title":"yellow","content":"pub fn yellow() -&gt; CatppuccinColor\n\nSynonyms:\ncatppuccin/mocha.yellow\ncatppuccin/mocha yellow","url":"catppuccin/mocha.html#yellow"},{"doc":"catppuccin/mocha","title":"catppuccin/mocha","content":"","url":"catppuccin/mocha.html"}]);